import JoLPlayer from "jol-player";

const Video = ({ fileIds, posterId }) => {
  return (
    <div style={{ direction: "ltr", textAlign: "left", marginBottom: 10 }}>
      <JoLPlayer
        option={{
          videoSrc: `https://dnvn.ir/api/v1/file/${fileIds}`,
          width: "100%",
          height: window.innerWidth > 1000 ? window.innerHeight - 300 : 250,
          theme: "#4dd35b",
          language: "en",
          isShowMultiple: window.innerWidth > 700,
          hideMouseTime: 10000,
          isShowPicture: true,
          isShowFullScreen: false,
          isShowSet: false,
          isShowScreenshot: window.innerWidth > 700,
          // isShowSet : false,
          isShowPauseButton: false,
          poster: `https://dnvn.ir/api/v1/file/${posterId}`,
          quality: [
            {
              name: "SD",
              url: `https://dnvn.ir/api/v1/file/${fileIds}`,
            },
          ],
          isShowWebFullScreen: false,
        }}
      />
    </div>
  );
};

export default Video;
