interface list {
  type: "book/list";
  data: any;
}

interface setLessonActive {
  type: "book/lesson/active";
  data: any;
}

interface gradeFilter {
  type: "book/gradeFilter";
  data: any;
}

interface sortFilter {
  type: "book/sortFilter";
  data: any;
}

interface error {
  type: "book/error";
  data: undefined;
}

interface loading {
  type: "book/loading";
  data: undefined;
}

type BookAction =
  | list
  | setLessonActive
  | gradeFilter
  | sortFilter
  | loading
  | error;

export default BookAction;
