interface getHomeData {
  type: "public/homePage";
  data: any;
}

interface setTheme {
  type: "public/setTheme";
  data: any;
}

interface getBlogList {
  type: "public/blogList";
  data: any;
}

interface setVideoActive {
  type: "active/video";
  data: any;
}

interface activeCategory {
  type: "active/category";
  data: any;
}

interface bookInfo {
  type: "public/vod/bookCourse";
  data: any;
}

interface bookSection {
  type: "public/vod/bookSection";
  data: any;
}

interface getBlogInfo {
  type: "public/blogInfo";
  data: any;
}

interface setFaqActive {
  type: "public/faq/activate";
  data: any;
}

interface setSubscribe {
  type: "public/setSubscribe";
  data: any;
}

interface getProvince {
  type: "public/province";
  data: any;
}

interface getCity {
  type: "public/city";
  data: any;
}

interface getContactData {
  type: "public/contact";
  data: any;
}

interface selectMenu {
  type: "public/selectMenu";
  data: any;
}

interface getHeader {
  type: "public/VOD/homePage";
  data: any;
}

interface error {
  type: "error";
  data: undefined;
}

interface loading {
  type: "loading";
  data: undefined;
}

// interface filterNewProducts{

// }

type PublicAction =
  | activeCategory
  | setTheme
  | setVideoActive
  | getBlogList
  | getBlogInfo
  | bookInfo
  | bookSection
  | setSubscribe
  | getHomeData
  | setFaqActive
  | getProvince
  | getCity
  | getContactData
  | selectMenu
  | getHeader
  | loading
  | error;

export default PublicAction;
