interface list {
  type: "userFactor/myList";
  data: any;
}

interface info {
  type: "userFactor/info";
  data: any;
}

interface update {
  type: "userFactor/update";
  data: any;
}

interface payment {
  type: "userFactor/paymentVOD";
  data: any;
}

interface verify {
  type: "userFactor/verifyVOD";
  data: any;
}

interface deleteUserOffCode {
  type: "userFactor/deleteUserOffCode";
  data: any;
}

interface error {
  type: "userFactor/error";
  data: undefined;
}

interface loading {
  type: "userFactor/loading";
  data: undefined;
}

type UserFactorAction =
  | list
  | info
  | update
  | payment
  | verify
  | deleteUserOffCode
  | loading
  | error;

export default UserFactorAction;
