import proxy from "../proxy";
import { Dispatch } from "redux";
const book = {
  list:
    (data = {}) =>
    async (dispatch: Dispatch) =>
      await proxy.get("book/list", data, { dispatch }),
  setLessonActive: (data: undefined) => async (dispatch: Dispatch) =>
    await dispatch({ type: "book/lesson/active", data: data }),
  gradeFilter: (data: undefined) => async (dispatch: Dispatch) =>
    await dispatch({ type: "book/gradeFilter", data: data }),
  sortFilter: (data: undefined) => async (dispatch: Dispatch) =>
    await dispatch({ type: "book/sortFilter", data: data }),
  // update:
  //   (data = {}, data2 = {}) =>
  //   async (dispatch : Dispatch) => {
  //     await proxy.put("book/update", data);
  //     await proxy.get("book/list", data2, { dispatch });
  //   },
  // add:
  //   (data = {}, data2 = {}) =>
  //   async (dispatch) => {
  //     await proxy.post("book/add", data);
  //     await proxy.get("book/list", data2, { dispatch });
  //   },
  // del:
  //   (data = {}, data2 = {}) =>
  //   async (dispatch) => {
  //     await proxy.delete("book/delete", data);
  //     await proxy.get("book/list", data2, { dispatch });
  //   },
  // searchBook: (data) => async (dispatch) => {
  //   dispatch({ type: "book/search", data: data });
  // },
  // filterBook: (data) => async (dispatch) => {
  //   dispatch({ type: "book/filter", data: data });
  // },
};

export default book;
