import proxy from "../proxy";
import { Dispatch } from "redux";
const faq = {
  list:
    (data = {}) =>
    async (dispatch: Dispatch) =>
      await proxy.get("faq/list", data, { dispatch }),
  add:
    (data = {}) =>
    async (dispatch: Dispatch) =>
      await proxy.post("faq/add", data, { dispatch }),
  selectFaq:
    (data = {}) =>
    async (dispatch: Dispatch) =>
      await dispatch({ type: "faq/selectFaq", data: data }),
  searchFaq: (data: String) => async (dispatch: Dispatch) =>
    await dispatch({ type: "faq/search", data: data }),
};

export default faq;
