import React from "react";

export default function Document({ defaultValue, name, onChange }) {
  return (
    <div className="mobile-auth-profile__document d-flex justify-content-center align-items-center mb-3">
      {defaultValue.docFileIds === "" ? (
        <>
          <input
            type="file"
            name={name}
            onChange={(e) => onChange(name, e.target.files[0])}
          />
          <span>گواهی تدریس خود را آپلود کنید.</span>
        </>
      ) : (
        <>
          <input
            type="file"
            name="file"
            onChange={(e) => onChange(name, e.target.files[0])}
          />
          <span
            style={{
              width: "100%",
              textAlign: "center",
              margin: "auto",
            }}
          >
            {/* {defaultValue.docFileIds.name ||
              "گواهی تدریس  ثبت شده و درحال بررسی می باشد"} */}
          </span>
        </>
      )}
    </div>
  );
}
