import React from "react";


export default function GenderSwitch({
  onChange,
  name,
  options,
  selectedOption,
  label,
}) {
  return (
    <div className="gender d-flex justify-content-between align-items-center">
      <div
        className={selectedOption === 2 && "gender__active"}
        onClick={() => onChange(name, 2)}
      >
        {options[0]}
      </div>
      <div
        className={selectedOption === 1 && "gender__active"}
        onClick={() => onChange(name, 1)}
      >
        {options[1]}
      </div>
    </div>
  );
}
