import React from "react";
import {Link} from 'react-router-dom';

export default function Blog(props: any) {
  const { data } = props;
  return (
    <Link to={'/'}
      className="home-blogs-blog d-flex align-items-end"
      style={{ background: `url(https://dnvn.ir/api/v1/file/${data.fileIds})` }}
      draggable={'false'}
    >
      {/* <img src={data.imageUrl} alt={data.name} /> */}
      <div className="home-blogs-blog__cover"></div>
      <footer className="d-flex">
        <div className="home-blogs-blog__info d-flex flex-column">
          <h2>{data.title}</h2>
          {/* <p>{data.text.slice(0, 49)}</p> */}
        </div>
      </footer>
    </Link>
  );
}
