import React from "react";
import Avatar from "@mui/material/Avatar";


export default function Comment({ comment }: any) {
  return (
    <div className="video-tube-comment d-flex">
      <Avatar src={comment.imageUrl} style={{ width: 65, height: 65, marginLeft: 10 }} />
      <div className="d-flex flex-column">
        <p>
          <strong>{comment.name}</strong> {comment.text}
        </p>
        <div className="d-flex justify-content-end align-items-center">
          <button>پاسخ</button>
          <span>{comment.date}</span>
        </div>
      </div>
    </div>
  );
}
