import React from "react";
import Breadcrumbs from "@mui/material/Breadcrumbs";
import { Link } from "react-router-dom";

export default function BreadCrumbs(props: any) {
  const { links } = props;
  return (
    <Breadcrumbs aria-label="breadcrumb">
      {links.map((item: any, i: any) => (
        <Link to={item.link} key={i}>{item.name}</Link>
      ))}
    </Breadcrumbs>
  );
}
