import React from "react";
import _ from "lodash";

export default function Textarea({ placeholder, theme }: any) {
  const light = theme === "light";
  return (
    <>
      <textarea
        className={_.join(
          [
            "custom-textarea",
            light ? "custom-textarea-light" : "custom-textarea-dark",
          ],
          " "
        )}
        rows={6}
        placeholder={placeholder}
      />
    </>
  );
}
