interface otp {
  type: "public/sendOTP";
  data: any;
}

interface otp_login {
  type: "user/otp/login";
  data: any;
}

interface login {
  type: "user/login";
  data: any;
}

// interface switchRole{
//   type : "user/switchRole"
//   data : Object
// }

interface logout {
  type: "user/logout";
  data: any;
}

interface getUserRole {
  type: "user/getUserRole";
  data: any;
}

interface getProfile {
  type: "user/getProfile";
  data: any;
}

interface setProfile {
  type: "user/setProfile";
  data: any;
}

interface error {
  type: "error";
  data: undefined;
}

interface loading {
  type: "loading";
  data: undefined;
}

type UserAction =
  | otp
  | otp_login
  | login
  | logout
  | getUserRole
  | getProfile
  | setProfile
  | error
  | loading;

export default UserAction;
