import { toast } from "react-toastify";
import {BlogAction} from '../actions-type';

const initialState = {
  loading: false,
  error: null,
  list: [],
};
export default function blog(state = initialState, action : BlogAction) {
  let { type, data } = action;
  switch (type) {
    case "public/blogList":
      return { ...state, loading: false, list: data, error: null };
    // case "blog/update":
    //   return { ...state, loading: false, error: null };
    // case "blog/add":
    //   return { ...state, loading: false, error: null };
    // case "blog/delete":
    //   return { ...state, loading: false, error: null };
    /////////////
    case "blog/loading":
      return { ...state, loading: true };
    case "blog/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
