import { toast } from "react-toastify";
import {UserProductAction} from '../actions-type';
const initialState = {
  loading: false,
  error: null,
};
export default function userFactor(state = initialState, action : UserProductAction) {
  let { type, data } = action;
  switch (type) {
    case "userProduct/addVOD":
      return { ...state, loading: false, error: null };
    case "userProduct/loading":
      return { ...state, loading: true };
    case "userProduct/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
