import React from "react";
import Avatar from "@mui/material/Avatar";
import user3 from "../../../assets/images/user3.png";

export default function AddComment(props : any) {
  const { theme } = props;
  return (
    <>
      <Avatar style={{ width: 60, height: 60, marginLeft: 10 }} />
      <div className="d-flex flex-column" style={{width : '100%'}}>
        <textarea rows={5} placeholder="نظر خود را در این قسمت بنویسید " />
        <div className="d-flex justify-content-end">
          <button className="submit submit-small mt-2">ارسال نظر</button>
        </div>
      </div>
    </>
  );
}
